Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.servlet
Class ProxyServlet

    java.lang.Object
      org.mortbay.servlet.ProxyServlet

    public class ProxyServlet

extends Object

EXPERIMENTAL Proxy servlet.

Author:
  gregw

Field Summary
`protected HashSet` | `_DontProxyHeaders`

Constructor Summary
`ProxyServlet()`

Method Summary
`void` | `destroy()`
`ServletConfig` | `getServletConfig()`
`String` | `getServletInfo()`
`void` | `handleConnect(HttpServletRequest request, HttpServletResponse response)`
`void` | `init(ServletConfig config)`
`void` | `service(ServletRequest req, ServletResponse res)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _DontProxyHeaders

    protected HashSet _DontProxyHeaders

Constructor Detail

### ProxyServlet

    public ProxyServlet()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Throws:
    `ServletException`

### getServletConfig

    public ServletConfig getServletConfig()

### service

    public void service(ServletRequest req,
                        ServletResponse res)
                 throws ServletException,
                        IOException

  Throws:
    `ServletException`
    `IOException`

### handleConnect

    public void handleConnect(HttpServletRequest request,
                              HttpServletResponse response)
                       throws IOException

  Throws:
    `IOException`

### getServletInfo

    public String getServletInfo()

### destroy

    public void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.